#!/usr/bin/env bash

if [ "$(id -u)" != "0" ]; then
	echo "should execute with sudo. gonna exit";
	exit 1;
fi

which cmake > /dev/null || apt install -y cmake
which valgrind > /dev/null || apt install -y valgrind
which lcov > /dev/null || apt install -y lcov

if [ ! -e /usr/include/libxml2 ]; then
	apt install -y libxml2-dev
fi

if [ ! -e /usr/include/zip.h ]; then
	apt install -y libzip-dev
fi

which pip3 > /dev/null || apt install -y python3-pip
which gcovr > /dev/null || pip3 install gcovr

if [ ! -e /usr/local/lib/libcheck.so ]; then
	apt remove -y check
	rm -rf check-0.9.10
	rm -rf check-0.14.0
	tar xzf check-0.14.0.tar.gz
	cd check-0.14.0
	mkdir build
	cd build
	cmake ..
	make
	make install
	cd -
	rm -rf check-0.14.0
fi
